# 提供 阿里ai来上传文件并解析部分pdf

## POST 上传文件并解析

POST /upload-file

> Body 请求参数

```yaml
file: ""
file_id: ""
user_msg: ""

```

### 请求参数

|名称|位置|类型|必选|说明|
|---|---|---|---|---|
|token|header|string| 否 |none|
|body|body|object| 否 |none|
|» file|body|string(binary)| 否 |待解析文件|
|» file_id|body|string| 否 |ai上传文件的id，为空时file必传|
|» user_msg|body|string| 否 |ai提示词|

> 返回示例

> 200 Response

```json
{
  "file_id": "string",
  "content": "string"
}
```

### 返回结果

|状态码|状态码含义|说明|数据模型|
|---|---|---|---|
|200|[OK](https://tools.ietf.org/html/rfc7231#section-6.3.1)|none|Inline|

### 返回数据结构

状态码 **200**

|名称|类型|必选|约束|中文名|说明|
|---|---|---|---|---|---|
|» file_id|string|true|none|ai上传的文件id|none|
|» content|string|true|none|ai解析结果|none|

## GET 上传文件绝对路径并解析

GET /upload-filepath

### 请求参数

|名称|位置|类型|必选|说明|
|---|---|---|---|---|
|filepath|query|string| 否 |文件绝对路径，file_id为空时必传|
|file_id|query|string| 否 |ai上传的文件id|
|user_msg|query|string| 否 |ai提示词，不传时有默认值|
|token|header|string| 否 |none|

> 返回示例

> 200 Response

```json
{
  "file_id": "string",
  "content": "string"
}
```

### 返回结果

|状态码|状态码含义|说明|数据模型|
|---|---|---|---|
|200|[OK](https://tools.ietf.org/html/rfc7231#section-6.3.1)|none|Inline|

### 返回数据结构

状态码 **200**

|名称|类型|必选|约束|中文名|说明|
|---|---|---|---|---|---|
|» file_id|string|true|none|ai上传的文件id|none|
|» content|string|true|none|ai解析内容|none|
